Update a list
curl --request PUT \
--url https://api.sendkit.dev/lists/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Newsletter Subscribers"
}
'import requests
url = "https://api.sendkit.dev/lists/{id}"
payload = { "name": "Newsletter Subscribers" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Newsletter Subscribers'})
};
fetch('https://api.sendkit.dev/lists/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Newsletter",
"created_at": "2026-03-03 10:00:00",
"updated_at": "2026-03-03 10:00:00"
}{
"message": "Invalid API key."
}{
"message": "Not found."
}{
"message": "The email field is required."
}Lists
Update a list
Update a contact list’s name.
PUT
/
lists
/
{id}
Update a list
Authorizations
API key from your SendKit dashboard. Pass it as a Bearer token in the Authorization header.
Path Parameters
The list ID.
Body
application/json
The new name of the list.
Maximum string length:
255Example:
"Newsletter Subscribers"
Response
List updated successfully
Unique identifier.
Example:
"550e8400-e29b-41d4-a716-446655440000"
The name of the list.
Example:
"Newsletter"
When the list was created.
Example:
"2026-03-03 10:00:00"
When the list was last updated.
Example:
"2026-03-03 10:00:00"
⌘I

